API referenceWebhooks

List webhook deliveries

GET/webhooks/{id}/deliveries

Delivery attempts to the endpoint, newest first, cursor-paginated. Filter with status.

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Path Parameters

id*string
Length1 <= length <= 64

Query Parameters

limit?integer
Range1 <= value <= 100
after?string
Length1 <= length <= 64
before?string
Length1 <= length <= 64
status?string

Value in

  • "pending"
  • "retrying"
  • "delivered"
  • "failed"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/webhooks/string/deliveries"
{  "object": "list",  "has_more": true,  "data": [    {      "object": "webhook_delivery",      "id": "string",      "webhook_id": "string",      "event_type": "string",      "status": "pending",      "attempt_count": 0,      "last_response_status": -9007199254740991,      "last_error": "string",      "next_attempt_at": "2019-08-24T14:15:22Z",      "delivered_at": "2019-08-24T14:15:22Z",      "payload": {        "property1": null,        "property2": null      },      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}